Subject: [bug#40143] [PATCH] gnu: git: Return #t in install-man-pages phase.

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 20 Mar 2020 10:21:14 -0400

Danny Milosavljevic <[email-masked]> writes:

> invoke already returns #t, so there's no technical bug.
>
> That said, maybe for clarity?  Not sure...

I don't see any technical nor clarity issue here.  The vision laid out
by Mark more than two years ago (!) was to get rid of all the boolean
return codes and move to an exception based system entirely, which I
find much more elegant.  The transition plan was outlined in this
message:
https://lists.gnu.org/archive/html/guix-devel/2017-12/msg00278.html.

I think we should go back to work on finishing the missing bits :-).

Maxim